## nickel-browser 6.0.472.36~r55963-1jolicloud0

=== debian/changelog ===
nickel-browser (6.0.472.36~r55963-1jolicloud0) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 6.0.472.36~r55963

  [ Fabien Tassin ]
  * Imported Debian patch 6.0.472.36~r55963-0ubuntu1~ucd1~jaunty

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 18 Aug 2010 09:37:13 +0200

chromium-browser (6.0.472.36~r55963-0ubuntu1~ucd1~jaunty) jaunty; urgency=low

  * New upstream release from the Stable Channel

 -- Fabien Tassin <fta@ubuntu.com>  Tue, 17 Aug 2010 08:44:32 +0200

nickel-browser (6.0.472.33~r55501-1jolicloud0) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 6.0.472.33~r55501

  [ Fabien Tassin ]
  * Imported Debian patch 6.0.472.33~r55501-0ubuntu1~ucd1~jaunty

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 16 Aug 2010 11:08:05 +0200

chromium-browser (6.0.472.33~r55501-0ubuntu1~ucd1~jaunty) jaunty; urgency=low

  * Enable all codecs for HTML5 in Chromium, depending on which ffmpeg sumo lib
    is installed, the set of usable codecs (at runtime) will still vary.
    This is now done by setting proprietary_codecs=1 so we can drop our patch
    - update debian/rules
    - drop debian/patches/html5_video_mimetypes.patch
    - update debian/patches/series
  * Add "libcups2-dev | libcupsys2-dev" (the latter for Hardy) to Build-Depends.
    This is needed for Cloud Printing
    - update debian/control
  * Add libppapi_tests.so and linker.lock to INSTALL_EXCLUDE_FILES and
    DumpRenderTree_resources/ to INSTALL_EXCLUDE_DIRS
    - update debian/rules
  * Install resources.pak in the main deb, and remove all resources/ accordingly
    - update debian/chromium-browser.install
  * Add libgnome-keyring-dev to Build-Depends. This is needed for the GNOME
    Keyring and KWallet integration. See http://crbug.com/12351
    - update debian/control
  * Ship empty policy dirs (for now) in /etc/chromium-browser/policies
    - update debian/rules
    - update debian/chromium-browser.dirs
  * Add the xul libdir to LD_LIBRARY_PATH in the wrapper to help icedtea6-plugin
    (LP: #529242). This is needed at least for openjdk-6 6b18.
    - update debian/chromium-browser.sh
  * No longer use tar --lzma in get-orig-source now that it silently uses xz
    (since tar 1.23-2) which is not available in the backports. Use "tar | lzma"
    instead so the embedded tarball is always a lzma file
    - update debian/rules
  * Tweak the user agent to include Chromium and the Distro's name and version.
    - add debian/patches/chromium_useragent.patch.in
    - update debian/patches/series
    - update debian/rules
  * Fix a typo in the subst_files rule
    - update debian/rules
  * Bump build-deps for gyp to >= 0.1~svn837
    - update debian/control

 -- Fabien Tassin <fta@ubuntu.com>  Sat, 14 Aug 2010 00:37:12 +0200

nickel-browser (5.0.375.125~r53311-1jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 5.0.375.125~r53311

  [ Fabien Tassin ]
  * Imported Debian patch 5.0.375.125~r53311-0ubuntu2~ucd2~jaunty

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 02 Aug 2010 15:38:28 +0200

chromium-browser (5.0.375.125~r53311-0ubuntu1) maverick; urgency=low

  * New upstream release from the Stable Channel (LP: #612109)
    This release fixes the following security issues:
    - [42736] Medium Memory contents disclosure in layout code. Credit to
      Michail Nikolaev.
    - [43813] High Issue with large canvases. Credit to sp3x of
      SecurityReason.com.
    - [47866] High Memory corruption in rendering code. Credit to Jose A.
      Vazquez.
    - [48284] High Memory corruption in SVG handling. Credit to Aki Helin of
      OUSPG.
    - [48597] Low Avoid hostname truncation and incorrect eliding. Credit to
      Google Chrome Security Team (Inferno).
  * lsb_release is slow so try to source the static file /etc/lsb-release
    instead, and fallback to lsb_release if we didn't get the information we need
    for about:version (LP: #608253). Thanks to pitti for the idea.
    - update debian/chromium-browser.sh.in

 -- Fabien Tassin <fta@ubuntu.com>  Tue, 27 Jul 2010 12:03:40 +0200

nickel-browser (5.0.375.99~r51029-1jolicloud5) robby; urgency=low

  [ Adam McDaniel ]
  * Set desktop window-manager class and disable resizing in desktop
    mode
  * Patch to inhibit the resize problem in desktop-mode Nickel

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 02 Aug 2010 13:34:29 +0200

nickel-browser (5.0.375.99~r51029-1jolicloud4) robby; urgency=low

  * recommends localization package instead of merely suggesting it
  * revert "mark nickel-browser as an essential package"

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 19 Jul 2010 17:04:43 +0200

nickel-browser (5.0.375.99~r51029-1jolicloud3) robby; urgency=low

  * mark nickel-browser as an essential package

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 13 Jul 2010 13:01:39 +0200

nickel-browser (5.0.375.99~r51029-1jolicloud2) robby; urgency=low

  * Customize neterror page

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 12 Jul 2010 13:10:45 +0200

nickel-browser (5.0.375.99~r51029-1jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 5.0.375.99~r51029

  [ Fabien Tassin ]
  * Imported Debian patch 5.0.375.99~r51029-0ubuntu1~ucd1~jaunty

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Sat, 03 Jul 2010 10:59:02 +0200

chromium-browser (5.0.375.99~r51029-0ubuntu1) maverick; urgency=low

  * New upstream release from the Stable Channel (LP: #602142)
    This release fixes the following security issues:
    - [42396] Low OOB read with WebGL. Credit to Sergey Glazunov; Google Chrome
      Security Team (SkyLined). 
    - [42575] [42980] Medium Isolate sandboxed iframes more strongly. Credit to
      sirdarckcat of Google Security Team.
    - [43488] High Memory corruption with invalid SVGs. Credit to Aki Hekin of
      OUSPG; wushi of team509.
    - [44424] High Memory corruption in bidi algorithm. Credit to wushi of
      team509.

