=== debian/control ===
Source: nickel-browser
Section: web
Priority: optional
Maintainer: Fabien Tassin <fta@ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~chromium-team/chromium-browser/chromium-browser.head
Homepage: http://code.google.com/chromium/
Build-Depends: cdbs,
	debhelper (>= 5),
	pkg-config,
	lsb-release,
	lzma,
	gyp (>= 0.1~svn837),
	quilt,
	patchutils (>= 0.2.25),
	g++-4.3 | g++-4.2,
	libc6-dev-i386 [amd64],
	g++-multilib [amd64],
	python,
	bison,
	flex,
	gperf,
	libjpeg62-dev,
	libpng12-dev,
	libbz2-dev,
	zlib1g-dev,
	libxml2-dev,
	libxslt1-dev,
	lzma-dev,
	libcups2-dev | libcupsys2-dev,
	libhunspell-dev,
	libsqlite3-dev,
	libasound2-dev,
	libnss3-dev (>= 3.12.3),
	libnspr4-dev,
	libgl1-mesa-dri,
	mesa-common-dev,
	libgl1-mesa-dev,
	libglu1-mesa-dev,
	libxss-dev,
	libpango1.0-dev,
	libglib2.0-dev,
	libgtk2.0-dev,
	libdbus-glib-1-dev,
	libgnome-keyring-dev,
	libgconf2-dev
Standards-Version: 3.8.3

Package: nickel-browser
Architecture: any
Pre-Depends: lzma
Depends: ${shlibs:Depends}, ${misc:Depends},
	libnss3-1d (>= 3.12.3),
	xdg-utils,
	nickel-browser-inspector (= ${binary:Version}),
	nickel-codecs-ffmpeg | nickel-codecs-ffmpeg-nonfree
Recommends: nickel-browser-l10n
Provides: www-browser, jolicloud-webapps-engine
Description: Nickel browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains the Nickel browser

Package: nickel-browser-dbg
Architecture: any
Section: devel
Priority: optional
Pre-Depends: lzma
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (= ${binary:Version})
Description: nickel-browser debug symbols
 Debug symbols for the Nickel browser

Package: nickel-browser-l10n
Architecture: all
Pre-Depends: lzma
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (= ${binary:Version})
Breaks: nickel-browser (<< 3.0.197.0~svn20090804r22432)
Replaces: nickel-browser (<< 3.0.197.0~svn20090804r22432)
Description: nickel-browser language packages
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains language packages for 50 languages:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: nickel-browser-inspector
Architecture: all
Pre-Depends: lzma
Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (= ${binary:Version})
Description: page inspector for the nickel-browser
 Nickel is an open-source browser project that aims to build a safer, faster,
 and more stable way for all Internet users to experience the web.
 .
 This package contains 'inspector', allowing web developpers to inspect any
 element of a web page at runtime (html, javascript, css, ..)
