## nickel-browser 8.0.552.237~r70801-1jolicloud1

=== debian/changelog ===
nickel-browser (8.0.552.237~r70801-1jolicloud1) robby-1.1; urgency=low

  [ Benjamin Ryzman ]
  * Always apply the app icon, whatever the tab URL
  * Imported Upstream version 8.0.552.237~r70801

  [ Fabien Tassin ]
  * Imported Debian patch 8.0.552.237~r70801-0ubuntu1~ucd~stable2~lucid

  [ Benjamin Ryzman ]

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 17 Jan 2011 15:41:56 +0100

chromium-browser (8.0.552.237~r70801-0ubuntu1~ucd~stable2~lucid) lucid; urgency=high

  * New upstream release from the Stable Channel (LP: #702542)
    This release fixes the following security issues:
    - [58053] Medium, Browser crash in extensions notification handling. Credit
      to Eric Roman of the Chromium development community.
    - [65764] High, Bad pointer handling in node iteration. Credit to Sergey
      Glazunov.
    - [66560] High, Stale pointer with CSS + canvas. Credit to Sergey Glazunov.
    - [66748] High, Stale pointer with CSS + cursors. Credit to Jan Tošovský.
    - [67303] High, Bad memory access with mismatched video frame sizes. Credit
      to Aki Helin of OUSPG; plus independent discovery by Google Chrome
      Security Team (SkyLined) and David Warren of CERT.
    - [67363] High, Stale pointer with SVG use element. Credited anonymously;
      plus indepdent discovery by miaubiz.
    - [67393] Medium, Uninitialized pointer in the browser triggered by rogue
      extension. Credit to kuzzcc.
    - [68115] High, Vorbis decoder buffer overflows. Credit to David Warren of
      CERT.
    - [68178] High, Bad cast in anchor handling. Credit to Sergey Glazunov.
    - [68181] High, Bad cast in video handling. Credit to Sergey Glazunov.
    - [68439] High, Stale rendering node after DOM node removal. Credit to
      Martin Barbella; plus independent discovery by Google Chrome Security
      Team (SkyLined).
    - [68666] Critical, Stale pointer in speech handling. Credit to Sergey
      Glazunov.
  * Add the chrome/app/policy/policy_templates.grd template to the list
    of templates translated in Launchpad
    - update debian/rules
  * Add Basque and Galician to the list of supported langs for the lang-packs
    (translations from Launchpad/Rosetta)
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Thu, 13 Jan 2011 23:35:52 +0100

nickel-browser (8.0.552.224~r68599-1jolicloud3) robby-1.1; urgency=low

  * Run make in parallel according to number of cores
  * Set desktop window geometry to 24px less than the desktop height
  * Rename jolicloud patch to use underscore, not dash
  * Automatically resize desktop window upon screen geometry change
  * Use same error page for Jolicloud Launcher and Jolicloud Web App

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Thu, 13 Jan 2011 16:37:26 +0100

nickel-browser (8.0.552.224~r68599-1jolicloud1) robby-1.1; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 8.0.552.224~r68599

  [ Fabien Tassin ]
  * Imported Debian patch 8.0.552.224~r68599-0ubuntu1~ucd~stable1~lucid

  [ Jeremy Selier ]
  * Detect that url is in host and not in the callback.

  [ Benjamin Ryzman ]
  * Fix weird patch error

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 20 Dec 2010 16:09:02 +0100

chromium-browser (8.0.552.224~r68599-0ubuntu1) natty; urgency=high

  * New upstream release from the Stable Channel (LP: #689849)
    This release fixes the following security issues:
    - [64-bit Linux only] [56449] High Bad validation for message
      deserialization on 64-bit builds. Credit to Lei Zhang of the Chromium
      development community.
    - [60761] Medium, Bad extension can cause browser crash in tab handling.
      Credit to kuzzcc.
    - [63529] Low, Browser crash with NULL pointer in web worker handling.
      Credit to Nathan Weizenbaum of Google.
    - [63866] Medium, Out-of-bounds read in CSS parsing. Credit to Chris Rohlf.
    - [64959] High, Stale pointers in cursor handling. Credit to Sławomir
      Błażek and Sergey Glazunov.
  * Don't build with PIE on Natty/armel, for the same reason as for Maverick
    - update debian/rules

 -- Fabien Tassin <fta@ubuntu.com>  Mon, 13 Dec 2010 21:21:39 +0100

chromium-browser (8.0.552.215~r67652-0ubuntu1) natty; urgency=high

  * New upstream Major release from the Stable Channel (LP: #684502), also
    fixing the following security issues:
    - [17655] Low, Possible pop-up blocker bypass. Credit to Google Chrome
      Security Team (SkyLined).
    - [55745] Medium, Cross-origin video theft with canvas. Credit to Nirankush
      Panchbhai and Microsoft Vulnerability Research (MSVR).
    - [56237] Low, Browser crash with HTML5 databases. Credit to Google Chrome
      Security Team (Inferno).
    - [58319] Low, Prevent excessive file dialogs, possibly leading to browser
      crash. Credit to Cezary Tomczak (gosu.pl).
    - [59554] High, Use after free in history handling. Credit to Stefan
      Troger.
    - [59817] Medium, Make sure the “dangerous file types” list is uptodate
      with the Windows platforms. Credit to Billy Rios of the Google Security
      Team.
    - [61701] Low, Browser crash with HTTP proxy authentication. Credit to
      Mohammed Bouhlel.
    - [61653] Medium, Out-of-bounds read regression in WebM video support.
      Credit to Google Chrome Security Team (Chris Evans), based on earlier
      testcases from Mozilla and Microsoft (MSVR).
    - [62127] High, Crash due to bad indexing with malformed video. Credit to
      miaubiz.
    - [62168] Medium, Possible browser memory corruption via malicious
      privileged extension. Credit to kuzzcc.
    - [62401] High, Use after free with SVG animations. Credit to Sławomir
      Błażek.
    - [63051] Medium, Use after free in mouse dragging event handling. Credit
      to kuzzcc.
    - [63444] High, Double free in XPath handling. Credit to Yang Dingning from
      NCNIPC, Graduate University of Chinese Academy of Sciences.
  * Work-around a gcc 4.5 miscompilation bug causing regression in the

