=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	g++-4.3 | g++-4.2,
 	libc6-dev-i386 [amd64],
 	g++-multilib [amd64],
+	hardening-wrapper,
 	python,
 	bison,
 	flex,
@@ -51,9 +52,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	libnss3-1d (>= 3.12.3),
 	xdg-utils,
-	nickel-browser-inspector (= ${binary:Version}),
-	nickel-codecs-ffmpeg | nickel-codecs-ffmpeg-nonfree
-Recommends: nickel-browser-l10n
+	nickel-browser-inspector,,
+	nickel-codecs-ffmpeg (>= 0.6) | nickel-codecs-ffmpeg-nonfree (>= 0.6)
+Recommends: nickel-browser-l10n, google-talkplugin
 Provides: www-browser, jolicloud-webapps-engine
 Description: Nickel browser
  Nickel is an open-source browser project that aims to build a safer, faster,
@@ -80,15 +81,15 @@
  Nickel is an open-source browser project that aims to build a safer, faster,
  and more stable way for all Internet users to experience the web.
  .
- This package contains language packages for 50 languages:
- am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
- hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
- ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
+ This package contains language packages for 53 languages:
+ am, ar, bg, bn, ca, cs, da, de, el, en-GB, es, es-419, et, eu, fa, fi, fil, fr,
+ gl, gu, he, hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR,
+ pt-PT, ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW
 
 Package: nickel-browser-inspector
 Architecture: all
 Pre-Depends: lzma
-Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, nickel-browser
 Description: page inspector for the nickel-browser
  Nickel is an open-source browser project that aims to build a safer, faster,
  and more stable way for all Internet users to experience the web.
