=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #DEBIAN_DIST_VERSION	:= $(shell lsb_release -sr)
 DEBIAN_DIST			:= Jolicloud
 DEBIAN_DIST_NAME	:= Jolicloud
-DEBIAN_DIST_VERSION	:= 1.0
+DEBIAN_DIST_VERSION	:= 1.1
 
 # DEB_TAR_SRCDIR has to be 'src' as this is what gyp expects :(
 DEB_TAR_SRCDIR := src
@@ -26,10 +26,35 @@
 WANT_SANDBOXING  ?= 1
 USE_SYSTEM_V8    ?= 0
 VERBOSE          ?= 0
-PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
+PROCESSORS       ?= $(shell grep '^cpu cores' /proc/cpuinfo | awk -F: '{cpu+=$$2} END{print cpu}')
 ifeq (0,$(PROCESSORS))
 PROCESSORS := 1
 endif
+
+# Build the launchpad translations
+WANT_LP_TRANSLATIONS ?= 1
+
+# Enable the hardening wrapper (See https://wiki.ubuntu.com/Security/HardeningWrapper)
+# Don't do it on {hardy,jaunty}+amd64 as it doesn't build for nacl on amd64
+# Don't do it on maverick/armel either for now, it fails to link
+ifeq (armel,$(DEB_BUILD_ARCH))
+ifeq (,$(filter 10.10 11.04,$(DEBIAN_DIST_VERSION)))
+export DEB_BUILD_HARDENING=1
+else
+$(warning ## Not enabling DEB_BUILD_HARDENING on Ubuntu 10.10+ armel. See LP #641126)
+endif
+else
+ifeq (,$(filter 8.04 9.04,$(DEBIAN_DIST_VERSION)))
+export DEB_BUILD_HARDENING=1
+else
+ifneq (amd64,$(DEB_BUILD_ARCH))
+export DEB_BUILD_HARDENING=1
+else
+$(warning ## Not enabling DEB_BUILD_HARDENING on Ubuntu 8.04/9.04 amd64)
+endif
+endif
+endif
+$(warning ## DEB_BUILD_HARDENING=$(DEB_BUILD_HARDENING))
 
 # Disable SSE2
 GYP_DEFINES = disable_sse2=1
@@ -52,7 +77,7 @@
 	linux_use_tcmalloc=0 \
 	$(NULL)
 WANT_LZMA_DEBS := 0
-ifneq (,$(filter unstable development,$(DEBIAN_DIST)))
+ifneq (,$(filter 10.10 unstable development,$(DEBIAN_DIST)))
 # on $(DEB_BUILD_ARCH) and $(DEBIAN_DIST), enforce an armv7 with thumb build (or not)
 GYP_DEFINES += \
 	armv7=0 \
@@ -109,6 +134,11 @@
 
 ifeq (4.4,$(CC_VERSION))
 GYP_DEFINES += no_strict_aliasing=1 gcc_version=44
+endif
+
+# See http://code.google.com/p/chromium/issues/detail?id=49533
+ifeq (4.5,$(CC_VERSION))
+GYP_DEFINES += werror=$(NULL)
 endif
 
 ifeq (1,$(WANT_LZMA_SRC))
@@ -169,6 +199,7 @@
 	mksnapshot \
 	ncdecode_table \
 	ncdecode_tablegen \
+	ssl_false_start_blacklist_process \
 	protoc \
 	gfx_unittests \
 	linker.lock \
@@ -235,44 +266,18 @@
 	    -e 's/@BUILD_DIST_VERSION@/$(DEBIAN_DIST_VERSION)/g' \
 	    < $< > $@
 
-pre-build:: $(subst_files)
+pre-build:: debian/pre-build-stamp $(subst_files)
+
+debian/pre-build-stamp:
 ifneq (,$(findstring Ubuntu,$(DEBIAN_DIST)))
+ifeq (1,$(WANT_LP_TRANSLATIONS))
+	# Apply the translations patches generated by get-orig-sources
+	@(set -e ; cd build-tree/src ; if [ -d translations-patches ] ; then \
+	for patch in translations-patches/*.patch ; do \
+	  echo "# Applying $$patch..." ; \
+	  patch -p 1 < $$patch ; done ; fi )
+endif
 	sed -ri '/const PrepopulatedEngine google = \{/,/\}\;/ { s/sourceid=chrome\&/&client=ubuntu\&channel=cs\&/g; }' \
 		build-tree/src/chrome/browser/search_engines/template_url_prepopulate_data.cc
 endif
 	sed -i 's,/etc/chromium/policies,/etc/$(DEBIAN_NAME)/policies,' \
-		build-tree/src/chrome/common/chrome_paths.cc
-
-DEB_MAKE_BUILD_TARGET := $(BUILD_ARGS) $(BUILD_TARGETS)
-
-configure/$(DEBIAN_NAME):: debian/configure-stamp
-
-debian/configure-stamp: GYP_ENV = GYP_GENERATORS=make
-ifneq (,$(GYP_DEFINES))
-debian/configure-stamp: GYP_ENV += GYP_DEFINES="$(GYP_DEFINES)"
-endif
-debian/configure-stamp:
-	cd $(SRC_DIR) && $(GYP_ENV) python build/gyp_chromium --no-circular-check build/all.gyp
-	touch $@
-	# Populate the LASTCHANGE file template as we no longer have the VCS
-	# files at this point
-	echo "$(DEBIAN_REVISION)" > $(SRC_DIR)/build/LASTCHANGE.in
-	# BUILD_ARGS=$(BUILD_ARGS)
-
-common-build-arch common-build-indep:: debian/stamp-makefile-build-perf
-debian/stamp-makefile-build-perf: debian/stamp-makefile-build
-	@T2=`date +%s`; T1=`date -r debian/configure-stamp +%s`; echo "PERF: '$(BUILD_TARGETS)' built in "`expr $$T2 - $$T1`" sec"
-	touch $@
-
-clean::
-	rm -f debian/configure-stamp debian/stamp-makefile-build-*
-	rm -f $(subst_files)
-
-# Install: there's no install rules in scons yet, do it manually
-common-install-prehook-impl::
-	mkdir -p debian/tmp/$(LIB_DIR)
-	( cd $(SRC_DIR)/out/$(BUILD_TYPE) && tar $(foreach excl,$(INSTALL_EXCLUDE_DIRS),--exclude=$(excl)) -cf - . ) | \
-	( cd debian/tmp/$(LIB_DIR) && tar xvf - )
-	cd debian/tmp/$(LIB_DIR) && rm -f $(INSTALL_EXCLUDE_FILES)
-	# Launcher script
-	mkdir -p debian/tmp/usr/bin
